﻿//     ___                        _                    _     
//    / _ \_   _ _ __  _ __   ___| |_  /\/\   __ _ ___| |_ ___ _ __ 
//   / /_)/ | | | '_ \| '_ \ / _ \ __|/    \ / _` / __| __/ _ \ '__|
//  / ___/| |_| | |_) | |_) |  __/ |_/ /\/\ \ (_| \__ \ ||  __/ |  
//  \/     \__,_| .__/| .__/ \___|\__\/    \/\__,_|___/\__\___|_|  
//              |_|   |_|                
//
namespace PuppetMaster
{

    public enum FlipStates
    {
        ready,
        preflip,
        flip,
        postflip,
    }

    public enum Emotes
    {
        None,
        Waving,
        Victory,
        Prone,
        Dive1,
        Dive2,
    }

    public enum VerboseLevels
    {
        Off,
        Minimal,
        Full,
    }

    public enum HoldingPositions
    {
        Auto,
        PointingDown,
        PointingForward,
        BothHands,
    }



    public struct LimbSnapshot
    {
        public float Health;
        public float Numbness;
        public float BreakingThreshold;
        public float Vitality;
        public float RegenerationSpeed;
        public float BaseStrength;
        public bool Broken;
        public bool Frozen;
        public ushort BruiseCount;
        public float jLimitMin;
        public float jLimitMax;
        public PhysicalProperties Properties;
    }

}
